org.eclipse.gef.dot.internal.language.validation

## Class DotArrowTypeJavaValidator

- java.lang.Object
- - org.eclipse.xtext.validation.AbstractInjectableValidator
  - - org.eclipse.xtext.validation.AbstractDeclarativeValidator
    - - org.eclipse.gef.dot.internal.language.validation.AbstractDotArrowTypeJavaValidator
      - - org.eclipse.gef.dot.internal.language.validation.DotArrowTypeJavaValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator, org.eclipse.xtext.validation.ValidationMessageAcceptor

    public class DotArrowTypeJavaValidator
    extends AbstractDotArrowTypeJavaValidator

This class contains custom validation rules. See https://www.eclipse.org/Xtext/documentation/303_runtime_concepts.html# validation

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

`org.eclipse.xtext.validation.AbstractDeclarativeValidator.MethodWrapper, org.eclipse.xtext.validation.AbstractDeclarativeValidator.State, org.eclipse.xtext.validation.AbstractDeclarativeValidator.StateAccess`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator

`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

### Field Summary

Fields
`static java.lang.String` `DEPRECATED_ARROW_SHAPE` Issue code for a deprecated arrow shape.
`static java.lang.String` `INVALID_ARROW_SHAPE_MODIFIER` Issue code for an invalid modifier.
`static java.lang.String` `INVALID_ARROW_SHAPE_NONE_IS_THE_LAST` Issue code for an invalid arrow shape (none should not be the last arrow shape).

### Fields inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

`CURRENT_LANGUAGE_NAME, ISSUE_SEVERITIES`

### Fields inherited from interface org.eclipse.xtext.validation.ValidationMessageAcceptor

`INSIGNIFICANT_INDEX`

### Fields inherited from interface org.eclipse.emf.ecore.EValidator

`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`DotArrowTypeJavaValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkDeprecatedArrowShape(org.eclipse.gef.dot.internal.language.arrowtype.DeprecatedArrowShape arrowShape)` Checks that no deprecated arrow shapes are used
`void` `checkIfNoneIsTheLastArrowShape(org.eclipse.gef.dot.internal.language.arrowtype.ArrowType arrowType)` Checks whether none is the last arrow shape, since this would create a redundant shape
`void` `checkOpenModifier(org.eclipse.gef.dot.internal.language.arrowtype.ArrowShape arrowShape)` Checks that the open modifier is not used in combination with illegal primitive shapes.
`void` `checkSideModifier(org.eclipse.gef.dot.internal.language.arrowtype.ArrowShape arrowShape)` Checks that the side modifier is not used in combination with illegal primitive shapes.

### Methods inherited from class org.eclipse.gef.dot.internal.language.validation.AbstractDotArrowTypeJavaValidator

`getEPackages`

### Methods inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

`acceptError, acceptError, acceptInfo, acceptInfo, acceptWarning, acceptWarning, addIssue, addIssue, addIssue, addIssue, addIssue, addIssueToState, checkDone, checkIsFromCurrentlyCheckedResource, createDiagnostic, createDiagnostic, createMethodWrapper, error, error, error, error, error, error, error, error, getChain, getCheckMode, getContext, getCurrentMethod, getCurrentObject, getIssueSeverities, getMessageAcceptor, guard, info, info, info, info, info, info, info, info, internalValidate, isIgnored, newInstance, setInjector, setMessageAcceptor, toDiagnosticSeverity, warning, warning, warning, warning, warning, warning, warning, warning`

### Methods inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

`getCurrentLanguage, isLanguageSpecific, isResponsible, register, validate, validate, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEPRECATED_ARROW_SHAPE

    public static final java.lang.String DEPRECATED_ARROW_SHAPE

Issue code for a deprecated arrow shape.

See Also:
  Constant Field Values

#### INVALID_ARROW_SHAPE_MODIFIER

    public static final java.lang.String INVALID_ARROW_SHAPE_MODIFIER

Issue code for an invalid modifier.

See Also:
  Constant Field Values

#### INVALID_ARROW_SHAPE_NONE_IS_THE_LAST

    public static final java.lang.String INVALID_ARROW_SHAPE_NONE_IS_THE_LAST

Issue code for an invalid arrow shape (none should not be the last arrow shape).

See Also:
  Constant Field Values

### Constructor Detail

#### DotArrowTypeJavaValidator

    public DotArrowTypeJavaValidator()

### Method Detail

#### checkOpenModifier

    public void checkOpenModifier(org.eclipse.gef.dot.internal.language.arrowtype.ArrowShape arrowShape)

Checks that the open modifier is not used in combination with illegal primitive shapes.

Parameters:
  `arrowShape` - The arrowShape element to check.

#### checkSideModifier

    public void checkSideModifier(org.eclipse.gef.dot.internal.language.arrowtype.ArrowShape arrowShape)

Checks that the side modifier is not used in combination with illegal primitive shapes.

Parameters:
  `arrowShape` - The arrowShape element to check.

#### checkDeprecatedArrowShape

    public void checkDeprecatedArrowShape(org.eclipse.gef.dot.internal.language.arrowtype.DeprecatedArrowShape arrowShape)

Checks that no deprecated arrow shapes are used

Parameters:
  `arrowShape` - The arrowShape element to check.

#### checkIfNoneIsTheLastArrowShape

    public void checkIfNoneIsTheLastArrowShape(org.eclipse.gef.dot.internal.language.arrowtype.ArrowType arrowType)

Checks whether none is the last arrow shape, since this would create a redundant shape

Parameters:
  `arrowType` - The arrowType element to check.